Skip to main content
GET
/
v1
/
payments
/
payouts
/
{id}
Show payout batch details
curl --request GET \
  --url https://api-m.sandbox.paypal.com/v1/payments/payouts/{id} \
  --header 'Authorization: Bearer <token>'
{
  "total_items": 7500,
  "total_pages": 500,
  "batch_header": {
    "payout_batch_id": "<string>",
    "sender_batch_header": {
      "sender_batch_id": "<string>",
      "email_subject": "<string>",
      "email_message": "<string>"
    },
    "time_created": "2023-11-07T05:31:56Z",
    "time_completed": "2023-11-07T05:31:56Z",
    "time_closed": "2023-11-07T05:31:56Z",
    "amount": {
      "currency": "<string>",
      "value": "<string>"
    },
    "fees": {
      "currency": "<string>",
      "value": "<string>"
    }
  },
  "items": [
    {
      "payout_item_id": "<string>",
      "payout_batch_id": "<string>",
      "payout_item": {
        "amount": {
          "currency": "<string>",
          "value": "<string>"
        },
        "receiver": "<string>",
        "note": "<string>",
        "sender_item_id": "<string>",
        "recipient_name": {
          "prefix": "<string>",
          "given_name": "<string>",
          "surname": "<string>",
          "middle_name": "<string>",
          "suffix": "<string>",
          "alternate_full_name": "<string>",
          "full_name": "<string>"
        },
        "recipient_wallet": "PAYPAL"
      },
      "transaction_id": "<string>",
      "activity_id": "<string>",
      "payout_item_fee": {
        "currency": "<string>",
        "value": "<string>"
      },
      "currency_conversion": {
        "from_amount": {
          "currency": "<string>",
          "value": "<string>"
        },
        "to_amount": {
          "currency": "<string>",
          "value": "<string>"
        },
        "exchange_rate": "<string>"
      },
      "time_processed": "2023-11-07T05:31:56Z",
      "errors": {
        "name": "<string>",
        "message": "<string>",
        "debug_id": "<string>",
        "information_link": "<string>",
        "details": [
          {
            "issue": "<string>",
            "field": "<string>",
            "value": "<string>",
            "location": "body",
            "description": "<string>"
          }
        ],
        "links": [
          {
            "href": "<string>",
            "rel": "<string>"
          }
        ]
      },
      "links": [
        {
          "href": "<string>",
          "rel": "<string>"
        }
      ]
    }
  ],
  "links": [
    {
      "href": "<string>",
      "rel": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.paypal.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Oauth 2.0 authentication

Path Parameters

id
string
required

The ID of the payout for which to show details.

Required string length: 1 - 1000
Pattern: ^.*$

Query Parameters

fields
string

Shows details for only the specified fields.

Required string length: 1 - 1000
Pattern: ^.*$
page
integer
default:1

A non-zero integer representing the page of the results.

Required range: 0 <= x <= 1000
page_size
integer

The maximum number of results to return at one time. Value is a non-negative, non-zero integer. If the user chooses pagination, the maximum page is 1000.

Required range: 0 <= x <= 1000
total_required
boolean
default:false

Indicates whether to show the total items and total pages count in the response.

Response

A successful request returns the HTTP 200 OK status code and a JSON response body that shows batch payout details.

The PayPal-generated batch status.

total_items
integer

The total number of items in the full result list.

Required range: 0 <= x <= 15000
total_pages
integer

The total number of pages.

Required range: 0 <= x <= 1000
batch_header
Payout Batch Header · object

A payout header. Includes the generated payout status.

items
Payout Item · object[]

An array of individual items.

Maximum array length: 15000

An array of request-related HATEOAS links.

Maximum array length: 15000